import { renderless, api } from '@opentinyvue/vue-renderless/tag/vue';
import { defineComponent, props, setup, h } from '@opentinyvue/vue-common';
import { iconClose } from '@opentinyvue/vue-icon';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  components: {
    IconClose: iconClose()
  },
  emits: ["click", "close"],
  props: [].concat(props, [
    "text",
    "closable",
    "type",
    "hit",
    //  hit 只保留类名供aui使用， tinyvue 这边的border是随着规范走，取决于css var中的border色值
    "disabled",
    "color",
    "size",
    "effect",
    "value",
    "beforeDelete",
    "onlyIcon"
  ]),
  setup: function setup$1(props2, context) {
    return setup({
      props: props2,
      context,
      renderless,
      api,
      h
    });
  },
  render: function render() {
    var h2 = arguments[0];
    var type = this.type, size = this.size, hit = this.hit, effect = this.effect, slots = this.slots, closable = this.closable, color = this.color, handleClose = this.handleClose, handleClick = this.handleClick, disabled = this.disabled; this.state; var value = this.value, onlyIcon = this.onlyIcon;
    var styles = {};
    var classes = ["tiny-tag", type ? "tiny-tag--" + type : "", size ? "tiny-tag--" + size : "", effect ? "tiny-tag--" + effect : "", hit && "is-hit", disabled ? "is-disabled" : "", onlyIcon ? "tiny-tag--only-icon" : ""];
    if (color) {
      if (Array.isArray(color)) {
        styles = {
          background: color[0],
          color: color[1]
        };
      } else if (["red", "orange", "green", "blue", "purple", "brown", "grey", "gold"].includes(color)) {
        classes.push("tiny-tag--" + color);
      } else {
        styles = {
          background: color
        };
      }
    }
    var tagElement = value || slots.default && slots.default() ? h2("span", {
      "attrs": {
        "data-tag": "tiny-tag"
      },
      "class": classes,
      "style": styles,
      "on": {
        "click": handleClick
      }
    }, [value ? h2("span", [value]) : slots.default && slots.default(), closable && h2("icon-close", {
      "class": "tiny-svg-size tiny-tag__close ",
      "on": {
        "click": handleClose
      }
    })]) : h2("span");
    return tagElement;
  }
});
var __vue2_render, __vue2_staticRenderFns;
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, __vue2_render, __vue2_staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var pc = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { pc as default };
